@use 'partials/components/menu';
@use 'partials/variables/cases';

// the expansion button got 4% width + 10px padding at the left side
$case-expansion-padding-left: calc(4% + 10px);
$case-row-grid: 23.83% 5.83% 12.83% 15.83% 30.83% 10.83%;
$case-item-padding: 10px 5px;
$case-font-size: 16px;

.cases-row-container {
  width: cases.$case-row-width;
  font-size: $case-font-size;
}

.cases-row {
  display: grid;
  grid-template-columns: $case-row-grid;
}

.text-align-left {
  text-align: left;
}

.text-align-center {
  text-align: center;
}

.case-item {
  padding: $case-item-padding;
  height: 100%;
}

.case-description {
  vertical-align: middle;
  display: inline-block;
  word-break: break-all;
  padding: $case-item-padding;
  height: 100%;
}

.cases-divider {
  grid-column: 1 / 3;
}

.case-no-hover-effect {
  color: inherit;
  &:active,
  &:hover,
  &:focus {
    background-color: transparent;
  }
}

.preprocessing-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.ellipsis-two-lines {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: normal;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}
